Subject: wierd mtrace values

From: Peter Parnes <[email-masked]>
Date: Sun, 25 Aug 1996 00:54:56 +0200

Hi

What's wrong with the MBone today? I'm getting a lot of duplicate packets in 
sap.mcast.net. 

Here are a couple of mtraces:

# mtrace pinot.eecs.harvard.edu salt sap.mcast.net
Mtrace from 140.247.60.65 to 130.240.193.242 via group 224.2.127.254
Querying full reverse path... * switching to hop-by-hop:
  0  salt.cdt.luth.se (130.240.193.242)
 -1  lc-gw.dc.luth.se (130.240.192.1)  PIM  thresh^ 0   [140.247/16]
 -2  sunet34-gw.dc.luth.se (130.240.31.5)  PIM  thresh^ 0   [140.247/16]
 -3  umu34-gw.sunet.se (193.10.81.34)  PIM  thresh^ 16   [140.247/16]
 -4  upper-gw.sunet.se (193.10.82.6)  DVMRP  thresh^ 16   [140.247.60/24]
 -5  stockholm.mbone.ebone.net (192.36.148.206)  DVMRP  thresh^ 32   
[140.247.60/24]
 -6  icm-pen-2-F2/0.icp.net (198.67.134.250)  DVMRP  thresh^ 64   
[140.247.60/24]
 -7  cambridge1-mbone1.bbnplanet.net (199.94.207.2)  DVMRP  thresh^ 32   
[140.247.60/24]
 -8  protagoras.eecs.harvard.edu (140.247.60.145)  DVMRP  thresh^ 32   
[140.247.60/24]
 -9  pinot.eecs.harvard.edu (140.247.60.65)
Round trip time 333 ms

Waiting to accumulate statistics... Results after 9 seconds:

  Source        Response Dest    Packet Statistics For     Only For Traffic
140.247.60.65   130.240.193.242  All Multicast Traffic     From 140.247.60.65
     v       __/  rtt  152 ms    Lost/Sent = Pct  Rate       To 224.2.127.254
140.247.60.145  protagoras.eecs.harvard.edu 
     v     ^      ttl   32        0/0    = --%   0 pps     0/0    = --%   0 pps
199.94.207.2    cambridge1-mbone1.bbnplanet.net 
     v     ^      ttl   33      174/505  = 34%  56 pps     0/0    = --%   0 pps
198.67.134.250  icm-pen-2-F2/0.icp.net 
     v     ^      ttl   64      178/380  = 47%  42 pps     0/0    = --%   0 pps
192.36.148.206  stockholm.mbone.ebone.net 
     v     ^      ttl   65     -165/206  =-79%  22 pps     0/0    = --%   0 pps
192.36.148.196 
193.10.82.6     upper-gw.sunet.se 
     v     ^      ttl   66      -11/185  = -5%  20 pps     0/0    = --%   0 pps
193.10.82.5    
193.10.81.34    umu34-gw.sunet.se 
     v     ^      ttl   67       -7/19   =-36%   2 pps     0/0    = --%   0 pps
193.10.81.33   
130.240.31.5    sunet34-gw.dc.luth.se 
     v     ^      ttl   68       -7/20   =-34%   2 pps     0/0    = --%   0 pps
130.240.31.4   
130.240.192.1   lc-gw.dc.luth.se 
     v      \__   ttl   69          956        106 pps       0            0 pps
130.240.193.242 130.240.193.242
  Receiver      Query Source

# mtrace garfield.CS.Berkeley.EDU salt sap.mcast.net
Mtrace from 128.32.32.118 to 130.240.193.242 via group 224.2.127.254
Querying full reverse path... 
  0  salt.cdt.luth.se (130.240.193.242)
 -1  lc-gw.dc.luth.se (130.240.192.1)  PIM  thresh^ 0   [128.32/16]
 -2  sunet34-gw.dc.luth.se (130.240.31.5)  PIM  thresh^ 0   [128.32/16]
 -3  umu34-gw.sunet.se (193.10.81.34)  PIM  thresh^ 16   [128.32/16]
 -4  upper-gw.sunet.se (193.10.82.6)  DVMRP  thresh^ 16   [128.32/16]
 -5  stockholm.mbone.ebone.net (192.36.148.206)  DVMRP  thresh^ 32   
[128.32/16]
 -6  icm-pen-2-F2/0.icp.net (198.67.134.250)  DVMRP  thresh^ 64   [128.32/16]
 -7  cambridge1-mbone1.bbnplanet.net (199.94.207.2)  DVMRP  thresh^ 32   
[128.32/16]
 -8  collegepk-mbone1.bbnplanet.net (128.167.252.196)  DVMRP  thresh^ 32   
[128.32/16]
 -9  paloalto-mbone1.bbnplanet.net (131.119.0.197)  DVMRP  thresh^ 64   
[128.32/16]
-10  mbone.nsi.nasa.gov (192.203.230.241)  DVMRP  thresh^ 64   [128.32/16]
-11  llnl-mr2.es.net (134.55.12.229)  DVMRP  thresh^ 64   [128.32/16]
-12  lbl-mr1.es.net (134.55.12.101)  DVMRP  thresh^ 8   [128.32/16]
-13  mr1.lbl.gov (128.3.254.184)  DVMRP  thresh^ 48   [128.32/16]
-14  mbone.berkeley.edu (198.128.16.22)  DVMRP  thresh^ 32  Next router no 
mtrace [128.32/16]
-15  inr-666-dmz.berkeley.edu (198.128.16.21) [cisco 10.2] doesn't support 
mtrace
-16  garfield.CS.Berkeley.EDU (128.32.32.118)
Round trip time 565 ms

Waiting to accumulate statistics... Results after 10 seconds:

  Source        Response Dest    Packet Statistics For     Only For Traffic
   * * *        130.240.193.242  All Multicast Traffic     From 128.32.32.118
     v       __/  rtt  255 ms    Lost/Sent = Pct  Rate       To 224.2.127.254
198.128.16.22   mbone.berkeley.edu 
     v     ^      ttl   32        0/0    = --%   0 pps     0/0    = --%   0 pps
128.3.254.184   mr1.lbl.gov    
     v     ^      ttl   48        0/6    = --%   0 pps     0/0    = --%   0 pps
198.128.16.13  
134.55.12.101   lbl-mr1.es.net 
     v     ^      ttl   49        0/4    = --%   0 pps     0/0    = --%   0 pps
134.55.12.229   llnl-mr2.es.net 
     v     ^      ttl   64        0/2    = --%   0 pps     0/0    = --%   0 pps
192.203.230.241 mbone.nsi.nasa.gov 
     v     ^      ttl   65        0/56   =  0%   5 pps     0/0    = --%   0 pps
192.42.110.249 
131.119.0.197   paloalto-mbone1.bbnplanet.net 
     v     ^      ttl   66        0/285  =  0%  28 pps     0/0    = --%   0 pps
128.167.252.196 collegepk-mbone1.bbnplanet.net 
     v     ^      ttl   67      136/559  = 24%  55 pps     0/0    = --%   0 pps
199.94.207.2    cambridge1-mbone1.bbnplanet.net 
     v     ^      ttl   68      209/592  = 35%  59 pps     0/0    = --%   0 pps
198.67.134.250  icm-pen-2-F2/0.icp.net 
     v     ^      ttl   69      272/444  = 61%  44 pps     0/0    = --%   0 pps
192.36.148.206  stockholm.mbone.ebone.net 
     v     ^      ttl   70     -538/179  = --%  17 pps     0/0    = --%   0 pps
192.36.148.196 
193.10.82.6     upper-gw.sunet.se 
     v     ^      ttl   71       -1/164  =  0%  16 pps     0/0    = --%   0 pps
193.10.82.5    
193.10.81.34    umu34-gw.sunet.se 
     v     ^      ttl   72       -1/10   = --%   1 pps     0/0    = --%   0 pps
193.10.81.33   
130.240.31.5    sunet34-gw.dc.luth.se 
     v     ^      ttl   73       -1/11   = -8%   1 pps     0/0    = --%   0 pps
130.240.31.4   
130.240.192.1   lc-gw.dc.luth.se 
     v      \__   ttl   74          1084       108 pps       0            0 pps
130.240.193.242 130.240.193.242
  Receiver      Query Source

---

From: Bill Fenner <[email-masked]>
Date: Mon, 26 Aug 1996 00:27:47 PDT

Peter,

  As jhawk said, your mtrace showed no traffic to the group in question
from the source you're tracing from.

  As a general rule, it's hard to get useful information from the
left-hand column of numbers.  There are too many bugs with the
handling of the counters in both the UNIX kernel and in cisco routers.
You can generally only be really sure of the numbers that you get in
the right-hand column (which in your example, were all 0).

  jhawk points out that duplicates are occurring on the subnet that
upper-gw.sunet.se shares with lower-gw.sunet.se, mbone.sunet.se,
192.36.148.195 and stockholm.mbone.ebone.net.  This has occurred
several times in the past and is presumably due to some bad PIM/DVMRP
interaction.  Perhaps someone could monitor that subnet and find out
which router is sending the duplicate packets (e.g. by looking at MAC
addresses) to try to help track this down.

  Bill

---

From: Bill Fenner <[email-masked]>
Date: Mon, 26 Aug 1996 00:27:47 PDT

Peter,

  Bill

---

From: Bill Fenner <[email-masked]>
Date: Mon, 26 Aug 1996 00:27:47 PDT

Peter,

  Bill

---

From: Bill Fenner <[email-masked]>
Date: Mon, 26 Aug 1996 11:21:49 PDT

In message <[email-masked]> I wrote:
>192.36.148.195 and stockholm.mbone.ebone.net.

I did a long-running mtrace, and discovered that the duplicates do stop
occasionally.  They stopped for about 100 seconds at one point, and
then for ~30 seconds about 140 seconds later (and then at the end of
this period there were triplicates for a short time, then it went back
to duplicates).  I didn't get enough data to make any kind of
periodicity claims, but anyone who is interested can run "mtrace -l" to
a source that's generating traffic and watch for -N/N and then 0/N.

  Bill

---

From: Nathan Kidd <[email-masked]>
Date: Mon, 26 Aug 1996 16:37:59 -0400 (EDT)

Does anyone have suggestions for good/inexpensive video frame grabber
hardware for a pc running linux for use with mbone vat?

Thank you much.

Nathan Kidd

---

From: Bill Fenner <[email-masked]>
Date: Mon, 26 Aug 1996 13:45:36 PDT

Also, the duplicate packets have a difference of 1 in the TTL.  This
probably points to different-length alternate paths.  (The only other
delta-1 situation I can think of offhand is a loop, but there are only
2 of each packet, not N).

  Bill

---

From: Koji OKAMURA <[email-masked]>
Date: Tue, 27 Aug 1996 09:44:01 +0900

> hardware for a pc running linux for use with mbone vat?

How about IBM Smart Capture Card ?
See "http://www.mickey.ai.kyutech.ac.jp/~ohashi/scc/"

--
Koji